ID CVE-2007-3474
Summary Multiple unspecified vulnerabilities in the GIF reader in the GD Graphics Library (libgd) before 2.0.35 have unspecified impact and user-assisted remote attack vectors. An integer overflow exists in the "gdImageCreateTrueColor()" function.
References
Vulnerable Configurations
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.33:*:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.33:*:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.34:*:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.34:*:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.34:rc1:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.34:rc1:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.34:rc2:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.34:rc2:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc1:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc1:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc2:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc2:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc3:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc3:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc4:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:2.0.35:rc4:*:*:*:*:*:*
  • cpe:2.3:a:libgd:gd_graphics_library:*:rc5:*:*:*:*:*:*
    cpe:2.3:a:libgd:gd_graphics_library:*:rc5:*:*:*:*:*:*
CVSS
Base: 2.6 (as of 16-10-2018 - 16:49)
Impact:
Exploitability:
CWE NVD-CWE-noinfo
CAPEC
Access
VectorComplexityAuthentication
NETWORK HIGH NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:H/Au:N/C:N/I:N/A:P
refmap via4
bid 24651
bugtraq 20070907 FLEA-2007-0052-1 gd
confirm
fedora
  • FEDORA-2007-2055
  • FEDORA-2007-692
  • FEDORA-2010-19022
  • FEDORA-2010-19033
gentoo
  • GLSA-200708-05
  • GLSA-200711-34
  • GLSA-200805-13
mandriva
  • MDKSA-2007:153
  • MDKSA-2007:164
osvdb 37743
secunia
  • 25855
  • 25860
  • 26272
  • 26390
  • 26415
  • 26467
  • 26663
  • 26766
  • 26856
  • 30168
  • 42813
trustix 2007-0024
vupen
  • ADV-2007-2336
  • ADV-2011-0022
xf gd-gifreader-unspecified(35110)
statements via4
contributor Mark J Cox
lastmodified 2008-02-14
organization Red Hat
statement This issue did not affect the versions of gd as shipped with Red Hat Enterprise Linux 2.1 or 3 as they did not offer GIF image support. We do not plan to backport a fix for this issue to the gd packages as shipped in Red Hat Enterprise Linux 4 and 5 due to the low likelihood of an application affected by this problem being exposed in a way that would allow a trust boundary to be crossed.
Last major update 16-10-2018 - 16:49
Published 28-06-2007 - 18:30
Back to Top